Page MenuHomePhabricator

Chrome: Editing "undos" limited until last edit toolbar click
Closed, InvalidPublic

Description

Chrome 18.0.1025.152 m (all plugins deactivated for confirming)

  • Edit a page
  • Add text
  • Mark some of it as bold with te editor toolbar
  • Add more text
  • Try to undo changes

You can only undo until you made the text bold

This seems to be a Chrome only bug as it appears in an old MW 1.16a and trunk on mediawiki.org

I set the importance to major since there is no solution to undo changes which can mean a user loses all edit changes.

Maybe an auto-saving to temp feature may be nice...


Version: 1.16.x
Severity: major
See Also: T33780

Details

Reference
bz35887

Event Timeline

bzimport raised the priority of this task from to Normal.
bzimport set Reference to bz35887.
bzimport added a subscriber: Unknown Object (MLST).
Subfader created this task.Apr 11 2012, 2:52 PM

Edit: Appears on 1.16a Monobook and trunk Vector

beau wrote:

I assume the old toolbar is used. Similar to bug 31780 (about WikiEditor extension).

Tested and happens in old toolbar in Monobook 1.16 and in trunk Vector with new editor.

Independent from a dialog in your linked bug. As said, you can try with simple bold button.

not being fixed in time for 1.20

TheDJ updated the task description. (Show Details)Mar 21 2015, 9:09 AM
TheDJ lowered the priority of this task from Normal to Lowest.
TheDJ removed a project: Future-Release.
TheDJ set Security to None.
TheDJ removed a subscriber: Unknown Object (MLST).
Jdforrester-WMF closed this task as Invalid.Nov 6 2018, 4:28 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

The 2006 wikitext editor, to which this refers, has been removed from MediaWiki and Wikimedia servers, and so this task is no longer valid.

Note however that the same issue, that interacting with a JavaScript tool to insert content into the text area, also affects the 2010 wikitext editor (and also gadgets etc.). If you use the 2017 wikitext editor you won't have this issue, due to it not relying on the native editing tools in the browser.